#
# spec file for package cim-schema (Version 2.17)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           cim-schema
%define cimver cimv217
BuildRequires:  unzip
Url:            http://www.dmtf.org/
Summary:        Common Information Model (CIM) Schema
Version:        2.17
Release:        0.3
Group:          System/Management
License:        Any permissive
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        http://www.dmtf.org/standards/cim/cim_schema_v217/cimv217Experimental-MOFs.zip
Source1:        loadmof.sh
Source2:        rmmof.sh
BuildArch:      noarch

%description
Common Information Model (CIM) is a model for describing overall
management information in a network or enterprise environment. CIM
consists of a specification and a schema. The specification defines the
details for integration with other management models. The schema
provides the actual model descriptions.



Authors:
--------
    DTMF <http://www.dmtf.org/about/contact>

%debug_package
%prep
%setup -c -n %{name}-%{version}

%build

%install
MOFDIR=/usr/share/mof
CIMDIR=$MOFDIR/cimv%{version}
for i in `find . -name "*.mof"`; do
  perl -p -i -e 's/\r//g' $i
done
%__rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/$CIMDIR
perl -p -i -e 's/\\/\//g' %{cimver}.mof
echo "" >> qualifiers.mof
echo "// Optional Qualifiers: " >> qualifiers.mof
echo "" >> qualifiers.mof
cat qualifiers_optional.mof >> qualifiers.mof
%__rm qualifiers_optional.mof
chmod -R go-wx .
chmod -R a+rX .
%__mv * $RPM_BUILD_ROOT/$CIMDIR/
ln -s cimv%{version} $RPM_BUILD_ROOT/$MOFDIR/cim-current
ln -s %{cimver}.mof $RPM_BUILD_ROOT/$MOFDIR/cim-current/CIM_Schema.mof
install -d $RPM_BUILD_ROOT/usr/bin
install -m 755 %{S:1} $RPM_BUILD_ROOT/usr/bin/ 
install -m 755 %{S:2} $RPM_BUILD_ROOT/usr/bin/ 
perl -p -i -e 's~^#pragma include ("qualifiers_optional\.mof")~\/\/#pragma include ("qualifiers_optional\.mof")~g' $RPM_BUILD_ROOT/$MOFDIR/cim-current/CIM_Schema.mof
perl -p -i -e \
	's~^#pragma include \("qualifiers_optional\.mof"\)~\/\/#pragma include ("qualifiers_optional\.mof")~g' \
	$RPM_BUILD_ROOT/$MOFDIR/cim-current/CIM_Schema.mof

%files
%defattr(-, root, root)
%dir /usr/share/mof
%dir /usr/share/mof/cimv%{version}
/usr/share/mof/cimv%{version}/*
/usr/share/mof/cim-current
/usr/bin/loadmof.sh
/usr/bin/rmmof.sh

%changelog
* Tue Jan 08 2008 - bart@novell.com
- Updated to cimv2.17Experimental (#341800)
* Wed Nov 28 2007 - bwhiteley@suse.de
- Updated to cimv2.16Experimental (#341800)
  Remove carriage returns from MOF files.
  Fix broken comment blocks in 2.16 schema.
* Thu Mar 29 2007 - bwhiteley@suse.de
- Added unzip to BuildRequires
* Tue Mar 27 2007 - bwhiteley@suse.de
- Fixed inclusion of missing file (#258187)
* Tue Mar 13 2007 - bart@novell.com
- Added some classes from 2.15 preliminary needed for Xen
  providers (#228365)
* Fri Jan 19 2007 - bwhiteley@suse.de
- update to schema version 2.14 (#228365)
* Mon Jan 08 2007 - bwhiteley@suse.de
- Combine all qualifiers back into one file (#232667)
* Tue Dec 19 2006 - bwhiteley@suse.de
- added loadmof.sh script. (#228349)
* Wed Dec 13 2006 - bwhiteley@suse.de
- Updated to schema version cimv2.13.1 (#228365)
* Fri Oct 06 2006 - bwhiteley@suse.de
- Updated to schema version cimv2.13
* Mon May 08 2006 - bwhiteley@suse.de
- Updated to schema version cimv2.12, required for SMASH 1.0
  compliance (#173777)
* Fri May 05 2006 - bwhiteley@suse.de
- removed non-ascii char from CIM_DNSSettingData.mof (was breaking
  some XML parsers) (#172939)
* Fri Feb 10 2006 - bwhiteley@suse.de
- fixed execute bit on directories (#149992)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 - bwhiteley@suse.de
- Added a symlink cim-current so other packages don't have to hard-
  code cim schema versions.
* Tue Jan 10 2006 - bwhiteley@suse.de
- Update to v2.11 Experimental.
- Moved MOFs under /usr/share/mof
* Thu Jan 13 2005 - nashif@suse.de
- Update to v2.9 Final
* Tue Oct 12 2004 - nashif@suse.de
- Update with cim v2.9
* Tue Feb 17 2004 - nashif@suse.de
- Fixed directory permissions
- build as normal user
* Mon Feb 16 2004 - nashif@suse.de
- Updated to 2.8 final
* Thu Nov 27 2003 - nashif@suse.de
- Initial Release
